This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

File Storage

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of File Storage in JSON format. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0DEPRECATED20251231
1.1CURRENT-

OpenAPI URL

https://filestorage.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - CreateSnapshot

1.1.1 - 1.1

post /v1/snapshots

Description

Create snapshot

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SnapshotCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshots

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Request body

{
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
}

Example HTTP response

Response 202

{
    "snapshot": {
        "id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
        "name": "my_volume.2024-10-01_14215",
        "state": "available",
        "size": 100,
        "created_at": "2024-07-30T04:54:33.219373",
        "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
    }
}

1.1.2 - 1.0

post /v1/snapshots

Description

Create snapshot

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SnapshotCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshots

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Request body

{
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
}

Example HTTP response

Response 202

{
    "snapshot": {
        "id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
        "name": "my_volume.2024-10-01_14215",
        "state": "available",
        "size": 100,
        "created_at": "2024-07-30T04:54:33.219373",
        "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
    }
}

1.2 - CreateSnapshotSchedule

1.2.1 - 1.1

post /v1/snapshot-schedules

Description

Create snapshot schedule

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SnapshotScheduleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotScheduleCreateResponse
400Bad RequestNone
403ForbiddenNone
401UnauthorizedNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshot-schedules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Request body

{
    "snapshot_retention_count": 10,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "snapshot_schedule": {
        "frequency": "WEEKLY",
        "day_of_week": "MON",
        "hour": "23"
    }
}

Example HTTP response

Response 202

{
    "snapshot_retention_count": 10,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "snapshot_schedule": {
        "frequency": "WEEKLY",
        "day_of_week": "MON",
        "hour": "23"
    }
}

1.2.2 - 1.0

post /v1/snapshot-schedules

Description

Create snapshot schedule

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SnapshotScheduleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotScheduleCreateResponse
400Bad RequestNone
403ForbiddenNone
401UnauthorizedNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshot-schedules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Request body

{
    "snapshot_retention_count": 10,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "snapshot_schedule": {
        "frequency": "WEEKLY",
        "day_of_week": "MON",
        "hour": "23"
    }
}

Example HTTP response

Response 202

{
    "snapshot_retention_count": 10,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "snapshot_schedule": {
        "frequency": "WEEKLY",
        "day_of_week": "MON",
        "hour": "23"
    }
}

1.3 - CreateVolume

1.3.1 - 1.1

post /v1/volumes

Description

Create volume

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeCreateResponse
403ForbiddenNone
401UnauthorizedNone
400Bad RequestNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Request body

{
    "name": "my_volume",
    "protocol": "NFS",
    "type_name": "HDD",
    "snapshot_id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
    "cifs_password": "cifspwd0!!",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 202

{
    "protocol": "NFS",
    "snapshot_id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
    "type_name": "HDD",
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "volume_name": "my_volume"
}

1.3.2 - 1.0

post /v1/volumes

Description

Create volume

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeCreateResponse
403ForbiddenNone
401UnauthorizedNone
400Bad RequestNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Request body

{
    "name": "my_volume",
    "protocol": "NFS",
    "type_name": "HDD",
    "snapshot_id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
    "cifs_password": "cifspwd0!!",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 202

{
    "protocol": "NFS",
    "snapshot_id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
    "type_name": "HDD",
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "volume_name": "my_volume"
}

1.4 - CreateVolumeReplication

1.4.1 - 1.1

post /v1/replications

Description

Create Volume Replication

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ReplicationCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedReplicationCreateResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/replications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Request body

{
    "name": "my_volume",
    "cifs_password": "cifspwd0!!",
    "replication_frequency": "5min",
    "region": "kr-west1",
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "backup_retention_count": 2,
    "replication_type": "replication"
}

Example HTTP response

Response 202

{
    "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_status": "creating",
    "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "source_volume_region": "kr-west1",
    "protocol": "NFS",
    "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_volume_region": "kr-west1"
}

1.4.2 - 1.0

post /v1/replications

Description

Create Volume Replication

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ReplicationCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedReplicationCreateResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/replications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Request body

{
    "name": "my_volume",
    "cifs_password": "cifspwd0!!",
    "replication_frequency": "5min",
    "region": "kr-west1",
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "backup_retention_count": 2,
    "replication_type": "replication"
}

Example HTTP response

Response 202

{
    "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_status": "creating",
    "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "source_volume_region": "kr-west1",
    "protocol": "NFS",
    "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_volume_region": "kr-west1"
}

1.5 - DeleteSnapshot

1.5.1 - 1.1

delete /v1/snapshots/{snapshot_id}

Description

Delete snapshots

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_id
required
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
404Not FoundNone
403ForbiddenNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshots/{snapshot_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 202

1.5.2 - 1.0

delete /v1/snapshots/{snapshot_id}

Description

Delete snapshots

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_id
required
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
404Not FoundNone
403ForbiddenNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshots/{snapshot_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 202

1.6 - DeleteSnapshotSchedule

1.6.1 - 1.1

delete /v1/snapshot-schedules/{snapshot_schedule_id}

Description

Delete snapshot schedule

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_schedule_id
required
Snapshot Schedule ID
Example : d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
404Not FoundNone
403ForbiddenNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshot-schedules/{snapshot_schedule_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 202

1.6.2 - 1.0

delete /v1/snapshot-schedules/{snapshot_schedule_id}

Description

Delete snapshot schedule

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_schedule_id
required
Snapshot Schedule ID
Example : d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
404Not FoundNone
403ForbiddenNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshot-schedules/{snapshot_schedule_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 202

1.7 - DeleteVolume

1.7.1 - 1.1

delete /v1/volumes/{volume_id}

Description

Delete volume

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
404Not FoundNone
403ForbiddenNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 202

1.7.2 - 1.0

delete /v1/volumes/{volume_id}

Description

Delete volume

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
404Not FoundNone
403ForbiddenNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 202

1.8 - DeleteVolumeReplication

1.8.1 - 1.1

delete /v1/replications/{replication_id}

Description

Delete Volume Replication

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathreplication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/replications/{replication_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 202

1.8.2 - 1.0

delete /v1/replications/{replication_id}

Description

Delete Volume Replication

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathreplication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/replications/{replication_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 202

1.9 - ListAccessRules

1.9.1 - 1.1

get /v1/volumes/{volume_id}/access-rules

Description

List access rules

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeObjectAccessRuleListResponse
403ForbiddenNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/access-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "count": 1,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "access_rules": [
        {
            "access_rule_state": "active",
            "object_type": "VM",
            "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f"
        }
    ]
}

1.9.2 - 1.0

get /v1/volumes/{volume_id}/access-rules

Description

List access rules

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeObjectAccessRuleListResponse
403ForbiddenNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/access-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 200

{
    "count": 1,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "access_rules": [
        {
            "access_rule_state": "active",
            "object_type": "VM",
            "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f"
        }
    ]
}

1.10 - ListSnapshots

1.10.1 - 1.1

get /v1/snapshots

Description

List snapshots

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSnapshotListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/snapshots?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "count": 1,
    "snapshots": [
        {
            "id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
            "name": "my_volume.2024-10-01_14215",
            "state": "available",
            "size": 100,
            "created_at": "2024-07-30T04:54:33.219373"
        }
    ],
    "snapshot_size_total_byte": 100
}

1.10.2 - 1.0

get /v1/snapshots

Description

List snapshots

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSnapshotListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/snapshots?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 200

{
    "count": 1,
    "snapshots": [
        {
            "id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
            "name": "my_volume.2024-10-01_14215",
            "state": "available",
            "size": 100,
            "created_at": "2024-07-30T04:54:33.219373"
        }
    ],
    "snapshot_size_total_byte": 100
}

1.11 - ListSnapshotSchedule

1.11.1 - 1.1

get /v1/snapshot-schedules

Description

List snapshot schedule

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSnapshotScheduleListResponse
404Not FoundNone
403ForbiddenNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/snapshot-schedules?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "snapshot_retention_count": 10,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "snapshot_policy_enabled": "true",
    "snapshot_schedule": [
        {
            "frequency": "WEEKLY",
            "day_of_week": "MON",
            "hour": "23",
            "id": "d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31"
        }
    ]
}

1.11.2 - 1.0

get /v1/snapshot-schedules

Description

List snapshot schedule

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSnapshotScheduleListResponse
404Not FoundNone
403ForbiddenNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/snapshot-schedules?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 200

{
    "snapshot_retention_count": 10,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "snapshot_policy_enabled": "true",
    "snapshot_schedule": [
        {
            "frequency": "WEEKLY",
            "day_of_week": "MON",
            "hour": "23",
            "id": "d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31"
        }
    ]
}

1.12 - ListVolumeReplicationRegion

1.12.1 - 1.1

get /v1/replications/regions

Description

List Volume Replication Region

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querytype_name
optional
Volume Type Name
Example : HDD
any of [string, null]None
querysource_region_name
required
Region
Example : kr-west1
stringNone
queryreplication_type
required
Replication Type
Example : replication
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationRegionListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications/regions?source_region_name={source_region_name}&replication_type={replication_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "regions": "['kr-west1']"
}

1.12.2 - 1.0

get /v1/replications/regions

Description

List Volume Replication Region

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querytype_name
optional
Volume Type Name
Example : HDD
any of [string, null]None
querysource_region_name
required
Region
Example : kr-west1
stringNone
queryreplication_type
required
Replication Type
Example : replication
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationRegionListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications/regions?source_region_name={source_region_name}&replication_type={replication_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 200

{
    "regions": "['kr-west1']"
}

1.13 - ListVolumeReplications

1.13.1 - 1.1

get /v1/replications

Description

List Volume Replications

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationListResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "count": 1,
    "replications": [
        {
            "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "replication_frequency": "5min",
            "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "source_volume_region": "kr-west1",
            "source_volume_access_level": "ro",
            "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "replication_volume_region": "kr-west1",
            "replication_volume_access_level": "ro",
            "replication_type": "replication"
        }
    ]
}

1.13.2 - 1.0

get /v1/replications

Description

List Volume Replications

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationListResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 200

{
    "count": 1,
    "replications": [
        {
            "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "replication_frequency": "5min",
            "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "source_volume_region": "kr-west1",
            "source_volume_access_level": "ro",
            "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "replication_volume_region": "kr-west1",
            "replication_volume_access_level": "ro",
            "replication_type": "replication"
        }
    ]
}

1.14 - ListVolumes

1.14.1 - 1.1

get /v1/volumes

Description

List volumes

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryoffset
optional
offset
Example : 0
integer0
querylimit
optional
limit
Example : 20
integer20
queryname
optional
Volume Name
Example : my_volume
any of [string, null]None
querytype_name
optional
Volume Type Name
Example : HDD
any of [string, null]None
querysort
optional
sort
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKVolumeListResponse
400Bad RequestNone
403ForbiddenNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "count": 1,
    "filestorages": [
        {
            "id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "name": "my_volume",
            "protocol": "NFS",
            "state": "available",
            "account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
            "created_at": "2024-07-30T04:54:33.219373",
            "type_id": "jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu",
            "type_name": "HDD",
            "purpose": "replication"
        }
    ]
}

1.14.2 - 1.0

get /v1/volumes

Description

List volumes

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryoffset
optional
offset
Example : 0
integer0
querylimit
optional
limit
Example : 20
integer20
queryname
optional
Volume Name
Example : my_volume
any of [string, null]None
querytype_name
optional
Volume Type Name
Example : HDD
any of [string, null]None
querysort
optional
sort
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKVolumeListResponse
400Bad RequestNone
403ForbiddenNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 200

{
    "count": 1,
    "filestorages": [
        {
            "id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "name": "my_volume",
            "protocol": "NFS",
            "state": "available",
            "account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
            "created_at": "2024-07-30T04:54:33.219373",
            "type_id": "jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu",
            "type_name": "HDD",
            "purpose": "replication"
        }
    ]
}

1.15 - RestoreSnapshot

1.15.1 - 1.1

put /v1/snapshots/{snapshot_id}/restore

Description

Restore snapshot

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_id
required
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotRestoreResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshots/{snapshot_id}/restore?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 202

{
    "snapshot": {
        "id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
        "name": "my_volume.2024-10-01_14215",
        "state": "available",
        "size": 100,
        "created_at": "2024-07-30T04:54:33.219373"
    }
}

1.15.2 - 1.0

put /v1/snapshots/{snapshot_id}/restore

Description

Restore snapshot

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_id
required
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotRestoreResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshots/{snapshot_id}/restore?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 202

{
    "snapshot": {
        "id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
        "name": "my_volume.2024-10-01_14215",
        "state": "available",
        "size": 100,
        "created_at": "2024-07-30T04:54:33.219373"
    }
}

1.16 - SetAccessRule

1.16.1 - 1.1

put /v1/volumes/{volume_id}/access-rules

Description

Set access rule for volume

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
bodybody
required

AccessRuleRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAccessRuleResponse
400Bad RequestNone
403ForbiddenNone
401UnauthorizedNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/access-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Request body

{
    "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
    "object_type": "VM",
    "action": "add"
}

Example HTTP response

Response 202

{
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "object_type": "VM",
    "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
    "action": "add"
}

1.16.2 - 1.0

put /v1/volumes/{volume_id}/access-rules

Description

Set access rule for volume

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
bodybody
required

AccessRuleRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAccessRuleResponse
400Bad RequestNone
403ForbiddenNone
401UnauthorizedNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/access-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Request body

{
    "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
    "object_type": "VM",
    "action": "add"
}

Example HTTP response

Response 202

{
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "object_type": "VM",
    "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
    "action": "add"
}

1.17 - SetSnapshotSchedule

1.17.1 - 1.1

put /v1/snapshot-schedules/{snapshot_schedule_id}

Description

Set snapshot schedule

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_schedule_id
required
Snapshot Schedule ID
Example : d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
bodybody
required

SnapshotScheduleSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotScheduleSetResponse
400Bad RequestNone
404Not FoundNone
403ForbiddenNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshot-schedules/{snapshot_schedule_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Request body

{
    "snapshot_retention_count": 10,
    "snapshot_schedule": {
        "frequency": "WEEKLY",
        "day_of_week": "MON",
        "hour": "23"
    }
}

Example HTTP response

Response 202

{
    "snapshot_retention_count": 10,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "snapshot_schedule": {
        "frequency": "WEEKLY",
        "day_of_week": "MON",
        "hour": "23"
    }
}

1.17.2 - 1.0

put /v1/snapshot-schedules/{snapshot_schedule_id}

Description

Set snapshot schedule

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_schedule_id
required
Snapshot Schedule ID
Example : d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
bodybody
required

SnapshotScheduleSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotScheduleSetResponse
400Bad RequestNone
404Not FoundNone
403ForbiddenNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshot-schedules/{snapshot_schedule_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Request body

{
    "snapshot_retention_count": 10,
    "snapshot_schedule": {
        "frequency": "WEEKLY",
        "day_of_week": "MON",
        "hour": "23"
    }
}

Example HTTP response

Response 202

{
    "snapshot_retention_count": 10,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "snapshot_schedule": {
        "frequency": "WEEKLY",
        "day_of_week": "MON",
        "hour": "23"
    }
}

1.18 - SetVolume

1.18.1 - 1.1

put /v1/volumes/{volume_id}

Description

Set volume

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
bodybody
required

VolumeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeSetResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Request body

{
    "file_unit_recovery_enabled": true
}

Example HTTP response

Response 202

{
    "file_unit_recovery_enabled": true
}

1.18.2 - 1.0

put /v1/volumes/{volume_id}

Description

Set volume

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
bodybody
required

VolumeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeSetResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Request body

{
    "file_unit_recovery_enabled": true
}

Example HTTP response

Response 202

{
    "file_unit_recovery_enabled": true
}

1.19 - SetVolumeReplication

1.19.1 - 1.1

put /v1/replications/{replication_id}

Description

Set Volume Replication

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathreplication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
bodybody
required

ReplicationUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedReplicationUpdateResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/replications/{replication_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Request body

{
    "replication_policy": "use",
    "replication_frequency": "5min",
    "backup_retention_count": 2,
    "replication_update_type": "policy"
}

Example HTTP response

Response 202

{
    "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_frequency": "5min",
    "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "source_volume_region": "kr-west1",
    "source_volume_access_level": "ro",
    "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_volume_region": "kr-west1",
    "replication_volume_access_level": "ro",
    "replication_type": "replication",
    "backup_retention_count": 2
}

1.19.2 - 1.0

put /v1/replications/{replication_id}

Description

Set Volume Replication

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathreplication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
bodybody
required

ReplicationUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedReplicationUpdateResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/replications/{replication_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Request body

{
    "replication_policy": "use",
    "replication_frequency": "5min",
    "backup_retention_count": 2,
    "replication_update_type": "policy"
}

Example HTTP response

Response 202

{
    "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_frequency": "5min",
    "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "source_volume_region": "kr-west1",
    "source_volume_access_level": "ro",
    "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_volume_region": "kr-west1",
    "replication_volume_access_level": "ro",
    "replication_type": "replication",
    "backup_retention_count": 2
}

1.20 - ShowVolume

1.20.1 - 1.1

get /v1/volumes/{volume_id}

Description

Show volume

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeShowResponse
403ForbiddenNone
401UnauthorizedNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "name": "my_volume",
    "protocol": "NFS",
    "state": "available",
    "account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
    "created_at": "2024-07-30T04:54:33.219373",
    "type_id": "jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu",
    "type_name": "HDD",
    "purpose": "replication",
    "path": "xxx.xx.xxx:/xxxxxxxx",
    "usage": 100000,
    "encryption_enabled": true,
    "file_unit_recovery_enabled": true,
    "cifs_id": "cifsid",
    "endpoint_path": "xxx.xx.xxx.xxx"
}

1.20.2 - 1.0

get /v1/volumes/{volume_id}

Description

Show volume

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeShowResponse
403ForbiddenNone
401UnauthorizedNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 200

{
    "id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "name": "my_volume",
    "protocol": "NFS",
    "state": "available",
    "account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
    "created_at": "2024-07-30T04:54:33.219373",
    "type_id": "jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu",
    "type_name": "HDD",
    "purpose": "replication",
    "path": "xxx.xx.xxx:/xxxxxxxx",
    "usage": 100000,
    "encryption_enabled": true,
    "file_unit_recovery_enabled": true,
    "cifs_id": "cifsid",
    "endpoint_path": "xxx.xx.xxx.xxx"
}

1.21 - ShowVolumeReplication

1.21.1 - 1.1

get /v1/replications/{replication_id}

Description

Show Volume Replication

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathreplication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationShowResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications/{replication_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_frequency": "5min",
    "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "source_volume_region": "kr-west1",
    "source_volume_access_level": "ro",
    "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_volume_region": "kr-west1",
    "replication_volume_access_level": "ro",
    "replication_type": "replication",
    "source_volume_name": "my_volume",
    "replication_policy": "use",
    "replication_status": "creating",
    "replication_volume_name": "my_volume",
    "backup_retention_count": 2
}

1.21.2 - 1.0

get /v1/replications/{replication_id}

Description

Show Volume Replication

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathreplication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationShowResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications/{replication_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 200

{
    "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_frequency": "5min",
    "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "source_volume_region": "kr-west1",
    "source_volume_access_level": "ro",
    "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_volume_region": "kr-west1",
    "replication_volume_access_level": "ro",
    "replication_type": "replication",
    "source_volume_name": "my_volume",
    "replication_policy": "use",
    "replication_status": "creating",
    "replication_volume_name": "my_volume",
    "backup_retention_count": 2
}

2 - Models

2.1 - AccessRuleRequest

NameDescriptionSchemaDefault
object_id
required
Object ID
Example : 43fq3347-02q4-4aa8-ccf9-affe4917bb6f
string
object_type
required
Object Type
Example : VM
Pattern : ^(VM|BM|GPU|GPU_NODE|ENDPOINT)$
string
action
required
Access Rule Action
Example : add
Pattern : ^(add|remove)$
string

2.2 - AccessRuleResponse

NameDescriptionSchemaDefault
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
object_type
required
Object Type
Example : VM
string
object_id
required
Object ID
Example : 43fq3347-02q4-4aa8-ccf9-affe4917bb6f
string
action
required
Access Rule Action
Example : add
string

2.3 - Replication

NameDescriptionSchemaDefault
replication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
replication_frequency
required
Frequency
Example : 5min
string
source_volume_id
required
Source Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
source_volume_region
required
Source Region
Example : kr-west1
string
source_volume_access_level
required
Source Access Level
Example : ro
string
replication_volume_id
required
Target Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
replication_volume_region
required
Target Region
Example : kr-west1
string
replication_volume_access_level
required
Target Access Level
Example : ro
string
replication_type
required
Replication Type
Example : replication
string

2.4 - ReplicationCreateRequest

NameDescriptionSchemaDefault
name
required
Target Volume Name
Example : my_volume
Pattern : ^[a-z]([a-z0-9_]){2,20}$
string
cifs_password
optional
CIFS Password
Example : cifspwd0!!
any of [string, null]
replication_frequency
required
Frequency
Example : 5min
Pattern : ^(5min|hourly|daily|weekly|monthly)$
string
region
required
Target Region
Example : kr-west1
string
volume_id
required
Source Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
backup_retention_count
optional
Backup Retention Count
Example : 2
any of [integer, null]
replication_type
required
Replication Type
Example : replication
Pattern : ^(replication|backup)$
string

2.5 - ReplicationCreateResponse

NameDescriptionSchemaDefault
replication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
replication_status
required
Replication Status
Example : creating
string
source_volume_id
required
Source Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
source_volume_region
required
Source Region
Example : kr-west1
string
protocol
required
Protocol
Example : NFS
string
replication_volume_id
required
Target Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
replication_volume_region
required
Target Region
Example : kr-west1
string

2.6 - ReplicationListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 1
integer
replications
required

array[Replication]

2.7 - ReplicationRegionListResponse

NameDescriptionSchemaDefault
regions
required
Replication Region List
Example : ['kr-west1']
array[string]

2.8 - ReplicationShowResponse

NameDescriptionSchemaDefault
replication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
replication_frequency
required
Frequency
Example : 5min
string
source_volume_id
required
Source Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
source_volume_region
required
Source Region
Example : kr-west1
string
source_volume_access_level
required
Source Access Level
Example : ro
string
replication_volume_id
required
Target Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
replication_volume_region
required
Target Region
Example : kr-west1
string
replication_volume_access_level
required
Target Access Level
Example : ro
string
replication_type
required
Replication Type
Example : replication
string
source_volume_name
required
Source Volume Name
Example : my_volume
string
replication_policy
required
Policy
Example : use
string
replication_status
required
Replication Status
Example : creating
string
replication_volume_name
required
Target Volume Name
Example : my_volume
string
backup_retention_count
optional
Backup Retention Count
Example : 2
any of [integer, null]

2.9 - ReplicationUpdateRequest

NameDescriptionSchemaDefault
replication_policy
optional
Policy
Example : use
any of [enum (use, paused), null]
replication_frequency
optional
Frequency
Example : 5min
any of [enum (5min, hourly, daily, weekly, monthly), null]
backup_retention_count
optional
Backup Retention Count
Example : 2
any of [integer, null]
replication_update_type
required
Replication Update Type
Example : policy
Pattern : ^(policy|modify_schedule)$
string

2.10 - ReplicationUpdateResponse

NameDescriptionSchemaDefault
replication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
replication_frequency
required
Frequency
Example : 5min
string
source_volume_id
required
Source Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
source_volume_region
required
Source Region
Example : kr-west1
string
source_volume_access_level
required
Source Access Level
Example : ro
string
replication_volume_id
required
Target Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
replication_volume_region
required
Target Region
Example : kr-west1
string
replication_volume_access_level
required
Target Access Level
Example : ro
string
replication_type
required
Replication Type
Example : replication
string
backup_retention_count
optional
Backup Retention Count
Example : 2
any of [integer, null]

2.11 - Snapshot

NameDescriptionSchemaDefault
id
required
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
string
name
required
Snapshot Name
Example : my_volume.2024-10-01_14215
string
state
required
Snapshot State
Example : available
string
size
required
Snapshot Size
Example : 100
integer
created_at
required
Created At
Example : 2024-07-30T04:54:33.219373
string (date-time)

2.12 - SnapshotCreateRequest

NameDescriptionSchemaDefault
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string

2.13 - SnapshotDetail

NameDescriptionSchemaDefault
id
required
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
string
name
required
Snapshot Name
Example : my_volume.2024-10-01_14215
string
state
required
Snapshot State
Example : available
string
size
required
Snapshot Size
Example : 100
integer
created_at
required
Created At
Example : 2024-07-30T04:54:33.219373
string (date-time)
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string

2.14 - SnapshotListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 1
integer
snapshots
required

array[Snapshot]
snapshot_size_total_byte
optional
Snapshot Total Size
Example : 100
any of [integer, null]

2.15 - SnapshotRestoreResponse

NameDescriptionSchemaDefault
snapshot
required

Snapshot

2.16 - SnapshotSchedule

NameDescriptionSchemaDefault
frequency
required
Frequency of the snapshot
Example : WEEKLY
Pattern : ^(WEEKLY|DAILY)$
string
day_of_week
optional
Day of week of the snapshot schedule
Example : MON
Pattern : ^(SUN|MON|TUE|WED|THU|FRI|SAT)$
any of [string, null]
hour
required
Hour of the snapshot schedule
Example : 23
Pattern : ^([0-9]|1[0-9]|2[0-3])$
string

2.17 - SnapshotScheduleCreateRequest

NameDescriptionSchemaDefault
snapshot_retention_count
optional
Retention count
Example : 10
any of [integer, null]
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
snapshot_schedule
required

SnapshotSchedule

2.18 - SnapshotScheduleCreateResponse

NameDescriptionSchemaDefault
snapshot_retention_count
optional
Retention count
Example : 10
integer
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
any of [string, null]
snapshot_schedule
required

SnapshotSchedule

2.19 - SnapshotScheduleListResponse

NameDescriptionSchemaDefault
snapshot_retention_count
optional
Retention count
Example : 10
integer
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
snapshot_policy_enabled
optional
Snapshot Schedule Policy Enabled
Example : true
any of [boolean, null]
snapshot_schedule
required

array[SnapshotScheduleShow]

2.20 - SnapshotScheduleSetRequest

NameDescriptionSchemaDefault
snapshot_retention_count
optional
Retention count
Example : 10
any of [integer, null]
snapshot_schedule
required

SnapshotSchedule

2.21 - SnapshotScheduleSetResponse

NameDescriptionSchemaDefault
snapshot_retention_count
optional
Retention count
Example : 10
integer
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
any of [string, null]
snapshot_schedule
required

SnapshotSchedule

2.22 - SnapshotScheduleShow

NameDescriptionSchemaDefault
frequency
required
Frequency of the snapshot
Example : WEEKLY
Pattern : ^(WEEKLY|DAILY)$
string
day_of_week
optional
Day of week of the snapshot schedule
Example : MON
Pattern : ^(SUN|MON|TUE|WED|THU|FRI|SAT)$
any of [string, null]
hour
required
Hour of the snapshot schedule
Example : 23
Pattern : ^([0-9]|1[0-9]|2[0-3])$
string
id
optional
Snapshot Schedule ID
Example : d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31
any of [string, null]

2.23 - SnapshotShowResponse

NameDescriptionSchemaDefault
snapshot
required

SnapshotDetail

2.24 - Tag

NameDescriptionSchemaDefault
key
required
Key
Example : key
Maximum length : 128
string
value
optional
Value
Example : value
any of [string, null]

2.25 - Volume

NameDescriptionSchemaDefault
id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
name
required
Volume Name
Example : my_volume
string
protocol
required
Protocol
Example : NFS
string
state
required
Volume State
Example : available
string
account_id
required
Account ID
Example : rwww523320dfvwbbefefsdvwdadsfa24c
string
created_at
required
Created At
Example : 2024-07-30T04:54:33.219373
string (date-time)
type_id
required
Volume Type ID
Example : jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu
string
type_name
required
Volume Type Name
Example : HDD
string
purpose
required
Purpose
Example : replication
string

2.26 - VolumeCreateRequest

NameDescriptionSchemaDefault
name
required
Volume Name
Example : my_volume
Pattern : ^[a-z]([a-z0-9_]){2,20}$
string
protocol
required
Protocol
Example : NFS
Pattern : ^(NFS|CIFS)$
string
type_name
required
Volume Type Name
Example : HDD
string
snapshot_id
optional
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
any of [string, null]
cifs_password
optional
CIFS Password
Example : cifspwd0!!
any of [string, null]
tags
optional

any of [array[Tag], null]

2.27 - VolumeCreateResponse

NameDescriptionSchemaDefault
protocol
required
Protocol
Example : NFS
string
snapshot_id
optional
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
any of [string, null]
type_name
required
Volume Type Name
Example : HDD
string
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
volume_name
required
Volume Name
Example : my_volume
string

2.28 - VolumeListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 1
integer
filestorages
required

array[Volume]

2.29 - VolumeObjectAccessRuleListBase

NameDescriptionSchemaDefault
access_rule_state
required
Access Rule State
Example : active
string
object_type
required
Object Type
Example : VM
string
object_id
required
Object ID
Example : 43fq3347-02q4-4aa8-ccf9-affe4917bb6f
string

2.30 - VolumeObjectAccessRuleListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 1
integer
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
access_rules
required

array[VolumeObjectAccessRuleListBase]

2.31 - VolumeSetRequest

NameDescriptionSchemaDefault
file_unit_recovery_enabled
required
Volume File Unit Recovery Enabled
Example : True
boolean

2.32 - VolumeSetResponse

NameDescriptionSchemaDefault
file_unit_recovery_enabled
required
Volume File Unit Recovery Enabled
Example : True
boolean

2.33 - VolumeShowResponse

NameDescriptionSchemaDefault
id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
name
required
Volume Name
Example : my_volume
string
protocol
required
Protocol
Example : NFS
string
state
required
Volume State
Example : available
string
account_id
required
Account ID
Example : rwww523320dfvwbbefefsdvwdadsfa24c
string
created_at
required
Created At
Example : 2024-07-30T04:54:33.219373
string (date-time)
type_id
required
Volume Type ID
Example : jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu
string
type_name
required
Volume Type Name
Example : HDD
string
purpose
required
Purpose
Example : replication
string
path
optional
Volume Mount Path
Example : xxx.xx.xxx:/xxxxxxxx
any of [string, null]
usage
optional
Volume Usage
Example : 100000
any of [integer, null]
encryption_enabled
required
Volume Encryption Enabled
Example : True
boolean
file_unit_recovery_enabled
optional
Volume File Unit Recovery Enabled
Example : True
any of [boolean, null]
cifs_id
optional
CIFS ID
Example : cifsid
any of [string, null]
endpoint_path
optional
Volume Endpoint Path
Example : xxx.xx.xxx.xxx
any of [string, null]